/*

   Dummy file for linux testing port of libbiwak

*/

#include <biwak/flash_intern.h>


CFlashIntern::CFlashIntern()
   :CFlash( 0, 0 )
{
   
}


CFlashIntern::~CFlashIntern()
{
   
}


address_t CFlashIntern::userStart() const
{
   return(0);
}


int CFlashIntern::userSize() const
{
   return(0);
}


address_t CFlashIntern::flashStart() const
{
   return(0);
}


address_t CFlashIntern::flashEnd() const
{
   return(0);
}


int CFlashIntern::totalSize() const
{
   return(0);
}


int CFlashIntern::erasePage(address_t pageAddr, int count /* =1 */ ) /* override virtual final */
{
   return(-1);
}



int CFlashIntern::writeData(address_t address, const void *data, int size) /* override virtual final */
{
   return(-1);
}

#if defined FLASH_TYPEPROGRAM_WORD
int CFlashIntern::writeData32(address_t address, const void *data, int size)
{
   return(-1);
}
#elif defined FLASH_TYPEPROGRAM_DOUBLEWORD
int CFlashIntern::writeData64(address_t address, const void *data, int size) /* virtual */
{
   return(-1);
}
#endif

int CFlashIntern::readData(address_t address, void *data, int size) /* override virtual final */
{
   return(-1);
}


//---fin----------------------------------------------------------------------
